QGIS Application - Feature request #17009
Encypted password in registry
2017-08-11 01:03 PM - M. Goud

Status: Closed

Priority: Normal

Assignee:

Category: Authentication system

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 24908
Description

Hello,

I've had a few problems with the proxy settings in QGIS, which are solved now. But when | was attempting to solve the issue | saw that in
the registry the loginname and password for the proxy weren't encrypted. For security reasons | think that the password in the registry
should be encrypted. Is this something that is on the roadmap for future releases?

Thanks in advance for your answer,

Greetings,

Martijn

Related issues:
Duplicates QGIS Application - Feature request # 8180: Encryption of Passwords... Open 2013-06-27

History

#1 - 2017-08-11 04:02 PM - Jiirgen Fischer

- Duplicates Feature request #8180: Encryption of Passwords in qgs files added

#2 - 2017-08-11 04:03 PM - Juirgen Fischer
- Resolution set to duplicate

- Assignee deleted (Larry Shaffer)

- Status changed from Open to Closed

QGIS tells you that it's going to save the passwords in plain text - so no suprise there. And there's the possibility to alternatively use the authentications
store.
